<?php

/**
 * RuRu About Page
 * @package RuRu
 *
*/

if( !class_exists('RuRu_About_page') ):

	class RuRu_About_page{

		function __construct(){

			add_action('admin_menu', array($this, 'ruru_backend_menu'));

		}

		// Add Backend Menu
        function ruru_backend_menu(){

            add_theme_page(esc_html__( 'RuRu Options','ruru' ), esc_html__( 'RuRu Options','ruru' ), 'activate_plugins', 'ruru-about', array($this, 'ruru_main_page'),1);

        }

        // Settings Form
        function ruru_main_page(){

            require get_template_directory() . '/classes/about-render.php';

        }

	}

	new RuRu_About_page();

endif;