<?php
/**
 *
 * Front Page
 *
 * @package RuRu
 */

get_header();


    $ruru_default = ruru_get_default_theme_options();
    $ruru_default = ruru_get_default_theme_options();
    $sidebar = esc_attr( get_theme_mod( 'global_sidebar_layout', $ruru_default['global_sidebar_layout'] ) );
    

    if( is_single() || is_page() ){

        $ruru_post_sidebar = esc_attr( get_post_meta( $post->ID, 'ruru_post_sidebar_option', true ) );
        if( $ruru_post_sidebar == 'global-sidebar' || empty( $ruru_post_sidebar ) ){

            $sidebar = $sidebar;
        }else{
            $sidebar = $ruru_post_sidebar;
        }

    }
    $twp_ruru_home_sections_1 = get_theme_mod( 'twp_ruru_home_sections_1', json_encode( $ruru_default['twp_ruru_home_sections_1'] ) );
    $repeat_times = 1;
    $paged_active = false;

    if ( !is_paged() ) {
        $paged_active = true;
    }

    $twp_ruru_home_sections_1 = json_decode( $twp_ruru_home_sections_1 );

    if( $twp_ruru_home_sections_1 ){ ?>

        <?php
        foreach ( $twp_ruru_home_sections_1 as $ruru_home_section ) {

            $home_section_type = isset( $ruru_home_section->home_section_type ) ? $ruru_home_section->home_section_type : '';

            switch ($home_section_type) {

                case 'default-banner-area':

                    $ed_horizontal_vertical_slider = isset( $ruru_home_section->section_ed ) ? $ruru_home_section->section_ed : '';
                    if ( $ed_horizontal_vertical_slider == 'yes' && $paged_active ) {
                        ruru_horizontal_vertical_slider( $ruru_home_section , $repeat_times);
                    }

                break;

                case 'main-banner':

                    $ed_slider_blocks = isset( $ruru_home_section->section_ed ) ? $ruru_home_section->section_ed : '';
                    if ( $ed_slider_blocks == 'yes' && $paged_active ) {
                        ruru_main_banner( $ruru_home_section , $repeat_times);
                    }

                break;


                case 'must-read':

                    $ed_must_read = isset( $ruru_home_section->section_ed ) ? $ruru_home_section->section_ed : '';
                    if ( $ed_must_read == 'yes' && $paged_active ) {
                        ruru_must_read( $ruru_home_section , $repeat_times);
                    }

                break;


                case 'latest-posts-blocks':

                    $ed_latest_posts_blocks = isset( $ruru_home_section->section_ed ) ? $ruru_home_section->section_ed : '';
                    if ( $ed_latest_posts_blocks == 'yes' ) {
                        ruru_latest_blocks( $ruru_home_section  , $repeat_times);
                    }

                break;

                case 'tiles-blocks':

                    $ed_tiles_block = isset( $ruru_home_section->section_ed ) ? $ruru_home_section->section_ed : '';
                    if ( $ed_tiles_block == 'yes' && $paged_active ) {
                        ruru_tiles_block_section( $ruru_home_section , $repeat_times);
                    }

                break;

                case 'banner-blocks-1':

                    $ed_banner_blocks_1 = isset( $ruru_home_section->section_ed ) ? $ruru_home_section->section_ed : '';
                    if ( $ed_banner_blocks_1 == 'yes' && $paged_active ) {
                        ruru_banner_block_1_section( $ruru_home_section , $repeat_times);
                    }

                break;

                case 'advertise-blocks':

                    $ed_advertise_blocks = isset( $ruru_home_section->section_ed ) ? $ruru_home_section->section_ed : '';
                    if ( $ed_advertise_blocks == 'yes' && $paged_active ) {
                        ruru_advertise_block( $ruru_home_section , $repeat_times);
                    }
                    
                break;

                case 'home-widget-area':

                    $ed_home_widget_area = isset( $ruru_home_section->section_ed ) ? $ruru_home_section->section_ed : '';
                    if ( $ed_home_widget_area == 'yes' && $paged_active ) {
                        ruru_case_home_widget_area_block( $ruru_home_section , $repeat_times);
                    }
                    
                break;

                case 'you-may-like-blocks':

                    $ed_you_may_like_area = isset( $ruru_home_section->section_ed ) ? $ruru_home_section->section_ed : '';
                    if ( $ed_you_may_like_area == 'yes' && $paged_active ) {
                        ruru_you_may_like_block_section( $ruru_home_section , $repeat_times);
                    }
                    
                break;

                default:

                break;

            }

        $repeat_times++;
        } 
        ?>

    <?php
    }

get_footer();
